Bug 1832086 - ibus input not working for qt5 under Wayland
Summary: ibus input not working for qt5 under Wayland
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: qt5-qtbase
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1851862 1877729 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-06 04:47 UTC by Jens Petersen
Modified: 2022-11-29 16:48 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
Lookup table hiding the writing positon when typing into a qt5 example program (249.85 KB, image/png)
2021-01-12 07:30 UTC, Mike FABIAN
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Qt Bug Tracker QTBUG-82910 0 None None None 2020-05-18 07:51:19 UTC

Description Jens Petersen 2020-05-06 04:47:35 UTC
Description of problem:
This is mostly a heads-up/ common bugs report:
it is already reported upstream and a fix has been submitted for review.

https://bugreports.qt.io/browse/QTBUG-82910
https://codereview.qt-project.org/c/qt/qtbase/+/299182

Version-Release number of selected component (if applicable):
qt5-qtbase-5.13.2-5.fc32

How reproducible:
100%

Steps to Reproduce:
1. Try to use ibus in qt5 apps on Fedora 32

Actual results:
ibus does not work at all

Expected results:
ibus input to work

Additional info:
Perhaps the submitted patch could be temporarily applied to F32
until upstream merges and releases an updated version.

Comment 1 Jens Petersen 2020-05-06 04:50:36 UTC
Maybe this should be added to F32 Common_Bugs?

Comment 2 Jens Petersen 2020-05-06 05:22:40 UTC
I believe a workaround is to use Xorg instead of Wayland, or:

copy (rename) latest $HOME/.config/ibus/bus/*-wayland to $HOME/.config/ibus/bus/*-unix-0

Comment 3 fujiwara 2020-05-18 07:51:19 UTC
Now the patch is integrated.
Probably I think it's good to back port it to Fedora 32.

Comment 4 fujiwara 2020-06-29 13:01:32 UTC
*** Bug 1851862 has been marked as a duplicate of this bug. ***

Comment 5 Rex Dieter 2020-07-02 19:13:41 UTC
Agreed, patch integrated and (to be) included in 5.15.1 upstream release.

Comment 6 fujiwara 2020-09-11 01:01:29 UTC
*** Bug 1877729 has been marked as a duplicate of this bug. ***

Comment 7 Mike FABIAN 2021-01-12 07:29:55 UTC
It still does not work out of the box in Fedora 33.

ibus input works into /usr/lib64/qt5/examples/widgets/widgets/lineedits/lineedits 
(From the qt5-qtbase-examples-5.15.2-2.fc33.x86_64 package) only when 
starting it with the environment variable QT_IM_MODULE=ibus

   QT_IM_MODULE=ibus /usr/lib64/qt5/examples/widgets/widgets/lineedits/lineedits

but this environment variable is not set by default.

Even then using ibus there is difficult as the lookup table hides the current writing positon.

Comment 8 Mike FABIAN 2021-01-12 07:30:52 UTC
Created attachment 1746550 [details]
Lookup table hiding the writing positon when typing into a qt5 example program

Comment 9 fujiwara 2021-01-12 10:22:10 UTC
(In reply to Mike FABIAN from comment #7)
> but this environment variable is not set by default.

Which desktop did you use?
I get QT_IM_MODULE=ibus in GNOME Wayland.

> Even then using ibus there is difficult as the lookup table hides the
> current writing positon.

It would be a different issue and probably I guess ibus module no longer get the widget position in Wayland and QT applications need to run in Plasma Wayland desktop.

Comment 10 Ben Cotton 2022-11-29 16:48:27 UTC
This message is a reminder that Fedora Linux 35 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 35 on 2022-12-13.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '35'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 35 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.


Note You need to log in before you can comment on or make changes to this bug.